<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                template="/WEB-INF/templates/LoggedTemplate.xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:f="http://java.sun.com/jsf/core">


    <ui:define name="contentPart">

        <h:outputText 
            value="Nómina -> CFDI" 
            style="font-weight: bold"/>

        <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>            
        <h:outputText value="Detalle CFDI" />
        <br/><br/>


        <h:form>
            <div align="center">
                <h:panelGrid columns="4" cellpadding="5" columnClasses="centered5,centered6,centered5,centered6">

                    <p:column>
                        <p:outputLabel value="Ejercicio: " for="ejercicio" style="font-weight: bold"/>
                    </p:column>
                    <p:column>
                        <p:selectOneMenu id="ejercicio" 
                                         class="ejercicio"
                                         required="true"
                                         requiredMessage="se debe seleccionar un ejercicio"
                                         value="#{rhNomnConsultaCFDIMB.idEjercicio}"
                                         style="min-width: 200px !important; ">
                            <p:ajax   event="change"
                                      listener="#{rhNomnConsultaCFDIMB.obtenerQuincenas()}"
                                      process="@(.ejercicio)"
                                      update="@(.quincenas)"/>
                            <f:selectItem itemLabel="Seleccionar ejercicio"
                                          noSelectionOption="true" />
                            <f:selectItems value="#{rhNomnConsultaCFDIMB.ejercicios}"
                                           var="ejercicio"
                                           itemLabel="#{ejercicio.valor}"
                                           itemValue="#{ejercicio.idEjercicio}"
                                           />
                        </p:selectOneMenu>
                    </p:column>
                    <p:column>
                        <p:outputLabel value="Quincena" for="quincenas" style="font-weight: bold"/>
                    </p:column>
                    <p:column>
                        <p:selectOneMenu id="quincenas"
                                         class="quincenas"
                                         required="true"
                                         value="#{rhNomnConsultaCFDIMB.idQuincena}"
                                         style="min-width: 200px !important;"
                                         >
                            <p:ajax   event="change"
                                      listener="#{rhNomnConsultaCFDIMB.obtenerNominas()}"
                                      process="@(.quincenas)"
                                      update="@(.nominas)"/>
                            <f:selectItem itemLabel="Seleccionar Quincena"

                                          noSelectionOption="true" />
                            <f:selectItems value="#{rhNomnConsultaCFDIMB.quincenas}"
                                           var="quincena"
                                           itemLabel="#{quincena.get('DESCRIPCION_QUINCENA')}"
                                           itemValue="#{quincena.get('ID_QUINCENA')}"
                                           />

                        </p:selectOneMenu>
                    </p:column>                           
                </h:panelGrid>
            </div>
        </h:form>



        <h:form>
            <h:panelGrid columns="1" columnClasses="centered7" cellpadding="10">
                <p:dataTable id="nominas" var="nomina" 
                             value="#{rhNomnConsultaCFDIMB.nominas}"                              
                             class="nominas"
                             emptyMessage="No hay Nóminas"
                             paginator="true" 
                             rowsPerPageTemplate="5,10,15"
                             paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"
                             currentPageReportTemplate="Mostrando del {startRecord} al {endRecord} de {totalRecords}."
                             paginatorPosition="bottom" rows="5"
                             style="font-size: x-small"

                             >
                    <p:column headerText="Ejercicio" style="width: 20%; ">
                        <h:outputText value="#{nomina['EJERCICIO']}" />
                    </p:column>
                    <p:column headerText="Quincena" style="width: 20%; r">
                        <h:outputText value="#{nomina['QUINCENA']}" />
                    </p:column>
                    <p:column headerText="Tipo de nómina" style="width: 30%; ">
                        <h:outputText value="#{nomina['TIPO_NOMINA']}" />
                    </p:column>
                    <p:column headerText="Desc nómina" style="width: 30%; ">
                        <h:outputText value="#{nomina['NOMBRE_NOMINA']}" />
                    </p:column>
                    <p:column headerText="Id nómina" style="width: 10%; ">
                        <h:outputText value="#{nomina['ID_NOMINA']}" />
                    </p:column>
                    <p:column headerText="Acciones" style="width: 12%; ">


                        <p:commandButton 

                            id="btnCrearCFDI" 
                            styleClass="botonpequeno"                                     
                            action="#{rhNomnConsultaCFDIMB.abreAccion('NominaCFDI', nomina)}"
                            title="Detalle CFDI"
                            value="Detalle CFDI "   

                            style="display:inline; 
                            float:center; 
                            font-size:x-small;" />


                    </p:column>
                </p:dataTable>
            </h:panelGrid>


        </h:form>


    </ui:define>


</ui:composition>